LibreOffice: XAddIn Interface Reference

LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
XAddIn Interface Referencepublished

gives access to function descriptions and user-visible names. More...

`import"XAddIn.idl";`

Inheritance diagram for XAddIn:

## Public Member Functions
string | getProgrammaticFuntionName ([in] string aDisplayName)
| returns the internal function name for an user-visible name. More...
string | getDisplayFunctionName ([in] string aProgrammaticName)
| returns the user-visible function name for an internal name. More...
string | getFunctionDescription ([in] string aProgrammaticName)
| returns the description of a function. More...
string | getDisplayArgumentName ([in] string aProgrammaticFunctionName, [in] long nArgument)
| returns the user-visible name of the specified argument. More...
string | getArgumentDescription ([in] string aProgrammaticFunctionName, [in] long nArgument)
| returns the description of the specified argument. More...
string | getProgrammaticCategoryName ([in] string aProgrammaticFunctionName)
| returns the programmatic name of the category the function belongs to. More...
string | getDisplayCategoryName ([in] string aProgrammaticFunctionName)
| returns the user-visible name of the category the function belongs to. More...
Public Member Functions inherited from XLocalizable
void | setLocale ([in] Locale eLocale)
| sets the locale to be used by this object. More...
Locale | getLocale ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to function descriptions and user-visible names.

## Member Function Documentation

## ◆ getArgumentDescription()

string getArgumentDescription | ( | [in] string | aProgrammaticFunctionName,
|  | [in] long | nArgument
| ) |  |

returns the description of the specified argument.

The argument description is shown to the user when prompting for arguments. It may be translated to the current language of the AddIn.

Parameters

  aProgrammaticFunctionName | is the exact name of a method within its interface.
  nArgument | the index of the argument (0-based).

Returns
  the description of the specified argument.

## ◆ getDisplayArgumentName()

string getDisplayArgumentName | ( | [in] string | aProgrammaticFunctionName,
|  | [in] long | nArgument
| ) |  |

returns the user-visible name of the specified argument.

The argument name is shown to the user when prompting for arguments. It should be a single word and may be translated to the current language of the AddIn.

Parameters

  aProgrammaticFunctionName | is the exact name of a method within its interface.
  nArgument | the index of the argument (0-based).

Returns
  the user-visible name of the specified argument.

## ◆ getDisplayCategoryName()

string getDisplayCategoryName | ( | [in] string | aProgrammaticFunctionName | ) |

returns the user-visible name of the category the function belongs to.

This is used when category names are shown to the user.

Parameters

  aProgrammaticFunctionName | is the exact name of a method within its interface.

Returns
  the user-visible category name the specified function belongs to.

## ◆ getDisplayFunctionName()

string getDisplayFunctionName | ( | [in] string | aProgrammaticName | ) |

returns the user-visible function name for an internal name.

The user-visible name of a function is the name shown to the user. It may be translated to the current language of the AddIn, so it is never stored in files. It should be a single word and is used when entering or displaying formulas.

Parameters

  aProgrammaticName | is the exact name of a method within its interface.

Returns
  the user-visible name of the specified function.

## ◆ getFunctionDescription()

string getFunctionDescription | ( | [in] string | aProgrammaticName | ) |

returns the description of a function.

The description is shown to the user when selecting functions. It may be translated to the current language of the AddIn.

Parameters

  aProgrammaticName | is the exact name of a method within its interface.

Returns
  the description of the specified function.

## ◆ getProgrammaticCategoryName()

string getProgrammaticCategoryName | ( | [in] string | aProgrammaticFunctionName | ) |

returns the programmatic name of the category the function belongs to.

The category name is used to group similar functions together. The programmatic category name should always be in English, it is never shown to the user. It should be one of the following names if the function falls into the corresponding category.

Database

  for functions that operate with data organized in tabular form like databases.

Date&Time

  for functions that deal with date or time values.

Financial

  for functions that solve financial problems.

Information

  for functions that provide information about cells.

Logical

  for functions that deal with logical expressions.

Mathematical

  for mathematical functions.

Matrix

  for matrix functions.

Statistical

  for statistical functions.

Spreadsheet

  for functions that deal with cell ranges.

Text

  for functions that deal with text strings.

Add-In
  for additional functions.

Parameters

  aProgrammaticFunctionName | is the exact name of a method within its interface.

Returns
  the category name the specified function belongs to.

## ◆ getProgrammaticFuntionName()

string getProgrammaticFuntionName | ( | [in] string | aDisplayName | ) |

returns the internal function name for an user-visible name.

The user-visible name of a function is the name shown to the user. It may be translated to the current language of the AddIn, so it is never stored in files. It should be a single word and is used when entering or displaying formulas.

Attention: The method name contains a spelling error. Due to compatibility reasons the name cannot be changed.

Parameters

  aDisplayName | the user-visible name of a function.

Returns
  the exact name of the method within its interface.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XAddIn.idl